#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Media;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
using Syncfusion.UI.Xaml.Charts;
using System.Windows.Data;
using System.Collections.ObjectModel;
namespace LightSwitchApplication
{
    public partial class WorldEconomicSurvey
    {
        partial void WorldEconomicSurvey_Created()
        {
            // Write your code here.
           
            var gdpChart = this.FindControl("GDPChart");
            var columnchart = this.FindControl("CountriesEconomics");

            gdpChart.ControlAvailable += gdpChart_ControlAvailable;
            columnchart.ControlAvailable += columnchart_ControlAvailable;
           
        }

        void columnchart_ControlAvailable(object sender, ControlAvailableEventArgs e)
        {
            var sfChart = (SfChart)e.Control;
            if (sfChart != null && sfChart.Series != null)
            {
                sfChart.FontWeight = FontWeights.Bold;                
            }
        }

        void gdpChart_ControlAvailable(object sender, ControlAvailableEventArgs e)
        {
            var sfChart = (SfChart)e.Control;
            if (sfChart != null && sfChart.Series != null)
            {
                sfChart.FontWeight = FontWeights.Bold;
                foreach (var series in sfChart.Series)
                {                               
                    (series as PieSeries).AdornmentsInfo = new ChartAdornmentInfo() { ShowLabel = true };
                    (series as PieSeries).AdornmentsInfo.SegmentLabelContent = LabelContent.YofTot;                   
                    (series as PieSeries).LabelPosition = CircularSeriesLabelPosition.Outside;
                    series.EnableAnimation = true;
                    series.ShowTooltip = true;
                    ChartTooltip.SetEnableAnimation(series, true);
                }
            }
        }
     

    }
}
